# SHARED CONFIG
NODE_ENV=development
LOG_LEVEL=debug
API_VERSION=v1
CORS_ORIGIN=http://localhost:3000,http://localhost:3001,http://localhost,http://admin.localhost

# AUTH
JWT_SECRET='super-secret-jwt-key-for-local-dev-must-be-min-32-chars'
JWT_REFRESH_SECRET='super-secret-refresh-key-for-local-dev-must-be-min-32-chars'
JWT_EXPIRES_IN=15m
JWT_REFRESH_EXPIRES_IN=7d
JWT_ID_SECRET='super-secret-id-key-for-local-dev-must-be-min-32-chars'
JWT_ID_EXPIRES_IN=1h

# ENCRYPTION
ENCRYPTION_KEY='460d261122522a6da8df4b9116a55d97432102a524cf055c04118265f0e51693'

# INFRA
REDIS_HOST=redis
REDIS_PORT=6379
DATABASE_URL='postgresql://neondb_owner:npg_Ssfy6HKO0cXI@ep-holy-glitter-a4hongg7-pooler.us-east-1.aws.neon.tech/iam-service?sslmode=require&channel_binding=require'

# OBSERVABILITY
TRACING_ENABLED=false
JAEGER_ENDPOINT=http://jaeger:14268/api/traces
METRICS_ENABLED=true
